/[gentoo-x86]/app-office/libreoffice/libreoffice-3.6.9999.ebuild
Gentoo

Contents of /app-office/libreoffice/libreoffice-3.6.9999.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.20 - (show annotations) (download)
Mon Aug 13 09:06:51 2012 UTC (2 years, 1 month ago) by scarabeus
Branch: MAIN
Changes since 1.19: +5 -6 lines
Remove also graphite useflag.

(Portage version: 2.2.0_alpha120/cvs/Linux x86_64)

1 # Copyright 1999-2012 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.6.9999.ebuild,v 1.19 2012/08/12 09:00:35 scarabeus Exp $
4
5 EAPI=4
6
7 KDE_REQUIRED="optional"
8 QT_MINIMAL="4.7.4"
9 KDE_SCM="git"
10 CMAKE_REQUIRED="never"
11
12 PYTHON_DEPEND="2"
13 PYTHON_USE_WITH="threads,xml"
14
15 # experimental ; release ; old
16 # Usually the tarballs are moved a lot so this should make
17 # everyone happy.
18 DEV_URI="
19 http://dev-builds.libreoffice.org/pre-releases/src
20 http://download.documentfoundation.org/libreoffice/src/${PV:0:5}/
21 http://download.documentfoundation.org/libreoffice/old/${PV}/
22 "
23 EXT_URI="http://ooo.itc.hu/oxygenoffice/download/libreoffice"
24 ADDONS_URI="http://dev-www.libreoffice.org/src/"
25
26 BRANDING="${PN}-branding-gentoo-0.6.tar.xz"
27 # PATCHSET="${P}-patchset-01.tar.xz"
28
29 [[ ${PV} == *9999* ]] && SCM_ECLASS="git-2"
30 inherit base autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python multilib toolchain-funcs flag-o-matic ${SCM_ECLASS}
31 unset SCM_ECLASS
32
33 DESCRIPTION="LibreOffice, a full office productivity suite."
34 HOMEPAGE="http://www.libreoffice.org"
35 SRC_URI="branding? ( http://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
36 [[ -n ${PATCHSET} ]] && SRC_URI+=" http://dev.gentooexperimental.org/~scarabeus/${PATCHSET}"
37
38 # Split modules following git/tarballs
39 # Core MUST be first!
40 # Help is used for the image generator
41 MODULES="core binfilter help"
42 # Only release has the tarballs
43 if [[ ${PV} != *9999* ]]; then
44 for i in ${DEV_URI}; do
45 for mod in ${MODULES}; do
46 if [[ ${mod} == binfilter ]]; then
47 SRC_URI+=" binfilter? ( ${i}/${PN}-${mod}-${PV}.tar.xz )"
48 else
49 SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
50 fi
51 done
52 unset mod
53 done
54 unset i
55 fi
56 unset DEV_URI
57
58 # Really required addons
59 # These are bundles that can't be removed for now due to huge patchsets.
60 # If you want them gone, patches are welcome.
61 ADDONS_SRC+=" ${ADDONS_URI}/ea91f2fb4212a21d708aced277e6e85a-vigra1.4.0.tar.gz"
62 ADDONS_SRC+=" ${ADDONS_URI}/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz" # modifies source code
63 ADDONS_SRC+=" java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
64 ADDONS_SRC+=" java? ( ${ADDONS_URI}/ada24d37d8d638b3d8a9985e80bc2978-source-9.0.0.7-bj.zip )"
65 ADDONS_SRC+=" libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )" # no release for 8 years, should we package it?
66 ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )" # Does not build with 1.6 rhino at all
67 ADDONS_SRC+=" odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )" # not packageable
68 SRC_URI+=" ${ADDONS_SRC}"
69
70 unset ADDONS_URI
71 unset EXT_URI
72 unset ADDONS_SRC
73
74 IUSE="binfilter binfilterdebug +branding +cups dbus eds gnome gstreamer +gtk
75 jemalloc kde mysql odk opengl postgres svg test +vba +webdav"
76
77 LO_EXTS="nlpsolver pdfimport presenter-console presenter-minimizer scripting-beanshell scripting-javascript wiki-publisher"
78 # Unpackaged separate extensions:
79 # diagram: lo has 0.9.5 upstream is weirdly patched 0.9.4 -> wtf?
80 # hunart: only on ooo extensions -> fubared download path somewhere on sf
81 # numbertext, typo, validator, watch-window: ^^
82 # oooblogger: no homepage or anything
83 # Extensions that need extra work:
84 # report-builder: missing java packages
85 for lo_xt in ${LO_EXTS}; do
86 IUSE+=" libreoffice_extensions_${lo_xt}"
87 done
88 unset lo_xt
89
90 LICENSE="|| ( LGPL-3 MPL-1.1 )"
91 SLOT="0"
92 [[ ${PV} == *9999* ]] || KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
93
94 COMMON_DEPEND="
95 app-arch/zip
96 app-arch/unzip
97 >=app-text/hunspell-1.3.2-r3
98 app-text/mythes
99 >=app-text/libexttextcat-3.2
100 app-text/libwpd:0.9[tools]
101 app-text/libwpg:0.2
102 >=app-text/libwps-0.2.2
103 >=dev-cpp/clucene-2.3.3.4-r2
104 >=dev-cpp/libcmis-0.2
105 dev-db/unixODBC
106 dev-libs/expat
107 >=dev-libs/glib-2.28
108 >=dev-libs/hyphen-2.7.1
109 >=dev-libs/icu-4.8.1.1
110 >=dev-libs/nspr-4.8.8
111 >=dev-libs/nss-3.12.9
112 >=dev-lang/perl-5.0
113 >=dev-libs/openssl-1.0.0d
114 >=dev-libs/redland-1.0.14[ssl]
115 media-gfx/graphite2
116 >=media-libs/fontconfig-2.8.0
117 media-libs/freetype:2
118 media-libs/lcms:2
119 >=media-libs/libpng-1.4
120 >=media-libs/libcdr-0.0.5
121 media-libs/libvisio
122 >=net-misc/curl-7.21.4
123 sci-mathematics/lpsolve
124 >=sys-libs/db-4.8
125 virtual/jpeg
126 >=x11-libs/cairo-1.10.0[X]
127 x11-libs/libXinerama
128 x11-libs/libXrandr
129 x11-libs/libXrender
130 cups? ( net-print/cups )
131 dbus? ( >=dev-libs/dbus-glib-0.92 )
132 eds? ( gnome-extra/evolution-data-server )
133 gnome? ( gnome-base/gconf:2 )
134 gtk? (
135 x11-libs/gdk-pixbuf[X]
136 >=x11-libs/gtk+-2.24:2
137 )
138 gstreamer? (
139 >=media-libs/gstreamer-0.10
140 >=media-libs/gst-plugins-base-0.10
141 )
142 jemalloc? ( dev-libs/jemalloc )
143 libreoffice_extensions_pdfimport? ( >=app-text/poppler-0.16[xpdf-headers(+),cxx] )
144 libreoffice_extensions_scripting-beanshell? ( >=dev-java/bsh-2.0_beta4 )
145 libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
146 libreoffice_extensions_wiki-publisher? (
147 dev-java/commons-codec:0
148 dev-java/commons-httpclient:3
149 dev-java/commons-lang:2.1
150 dev-java/commons-logging:0
151 dev-java/tomcat-servlet-api:3.0
152 )
153 mysql? ( >=dev-db/mysql-connector-c++-1.1.0 )
154 opengl? ( virtual/opengl )
155 postgres? ( >=dev-db/postgresql-base-9.0[kerberos] )
156 svg? ( gnome-base/librsvg )
157 webdav? ( net-libs/neon )
158 "
159
160 RDEPEND="${COMMON_DEPEND}
161 !app-office/libreoffice-bin
162 !app-office/libreoffice-bin-debug
163 !app-office/openoffice-bin
164 !app-office/openoffice
165 media-fonts/libertine-ttf
166 media-fonts/liberation-fonts
167 media-fonts/urw-fonts
168 java? ( >=virtual/jre-1.6 )
169 "
170
171 PDEPEND="
172 =app-office/libreoffice-l10n-3.6*
173 "
174
175 # FIXME: cppunit should be moved to test conditional
176 # after everything upstream is under gbuild
177 # as dmake execute tests right away
178 DEPEND="${COMMON_DEPEND}
179 >=dev-libs/boost-1.46
180 >=dev-libs/libxml2-2.7.8
181 dev-libs/libxslt
182 dev-perl/Archive-Zip
183 dev-util/cppunit
184 >=dev-util/gperf-3
185 dev-util/intltool
186 dev-util/mdds
187 virtual/pkgconfig
188 net-misc/npapi-sdk
189 >=sys-apps/findutils-4.4.2
190 sys-devel/bison
191 sys-apps/coreutils
192 sys-devel/flex
193 sys-devel/gettext
194 >=sys-devel/make-3.82
195 sys-libs/zlib
196 x11-libs/libXt
197 x11-libs/libXtst
198 x11-proto/randrproto
199 x11-proto/xextproto
200 x11-proto/xineramaproto
201 x11-proto/xproto
202 java? (
203 >=virtual/jdk-1.6
204 >=dev-java/ant-core-1.7
205 test? ( dev-java/junit:4 )
206 )
207 odk? ( app-doc/doxygen )
208 test? ( dev-util/cppunit )
209 "
210
211 PATCHES=(
212 # not upstreamable stuff
213 "${FILESDIR}/${PN}-3.6-system-pyuno.patch"
214 )
215
216 REQUIRED_USE="
217 gnome? ( gtk )
218 eds? ( gnome )
219 libreoffice_extensions_nlpsolver? ( java )
220 libreoffice_extensions_scripting-beanshell? ( java )
221 libreoffice_extensions_scripting-javascript? ( java )
222 libreoffice_extensions_wiki-publisher? ( java )
223 "
224
225 RESTRICT="test"
226
227 S="${WORKDIR}/${PN}-core-${PV}"
228
229 CHECKREQS_MEMORY="512M"
230 CHECKREQS_DISK_BUILD="6G"
231
232 pkg_pretend() {
233 local pgslot
234
235 if [[ ${MERGE_TYPE} != binary ]]; then
236 check-reqs_pkg_pretend
237
238 if [[ $(gcc-major-version) -lt 4 ]] || \
239 ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 5 ]] ) \
240 ; then
241 eerror "Compilation with gcc older than 4.5 is not supported"
242 die "Too old gcc found."
243 fi
244 fi
245
246 # ensure pg version
247 if use postgres; then
248 pgslot=$(postgresql-config show)
249 if [[ ${pgslot//.} < 90 ]] ; then
250 eerror "PostgreSQL slot must be set to 9.0 or higher."
251 eerror " postgresql-config set 9.0"
252 die "PostgreSQL slot is not set to 9.0 or higher."
253 fi
254 fi
255 }
256
257 pkg_setup() {
258 java-pkg-opt-2_pkg_setup
259 kde4-base_pkg_setup
260
261 python_set_active_version 2
262 python_pkg_setup
263
264 [[ ${MERGE_TYPE} != binary ]] && check-reqs_pkg_setup
265 }
266
267 src_unpack() {
268 local mod dest tmplfile tmplname mypv
269
270 [[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
271 if use branding; then
272 unpack "${BRANDING}"
273 fi
274
275 if [[ ${PV} != *9999* ]]; then
276 for mod in ${MODULES}; do
277 if [[ ${mod} == binfilter ]] && ! use binfilter; then
278 continue
279 fi
280 unpack "${PN}-${mod}-${PV}.tar.xz"
281 if [[ ${mod} != core ]]; then
282 mv -n "${WORKDIR}/${PN}-${mod}-${PV}"/* "${S}"
283 rm -rf "${WORKDIR}/${PN}-${mod}-${PV}"
284 fi
285 done
286 else
287 for mod in ${MODULES}; do
288 if [[ ${mod} == binfilter ]] && ! use binfilter; then
289 continue
290 fi
291 mypv=${PV/.9999}
292 [[ ${mypv} != ${PV} ]] && EGIT_BRANCH="${PN}-${mypv/./-}"
293 EGIT_PROJECT="${PN}/${mod}"
294 EGIT_SOURCEDIR="${WORKDIR}/${PN}-${mod}-${PV}"
295 EGIT_REPO_URI="git://anongit.freedesktop.org/${PN}/${mod}"
296 EGIT_NOUNPACK="true"
297 git-2_src_unpack
298 if [[ ${mod} != core ]]; then
299 mv -n "${WORKDIR}/${PN}-${mod}-${PV}"/* "${S}"
300 rm -rf "${WORKDIR}/${PN}-${mod}-${PV}"
301 fi
302 done
303 unset EGIT_PROJECT EGIT_SOURCEDIR EGIT_REPO_URI EGIT_BRANCH
304 fi
305 }
306
307 src_prepare() {
308 # optimization flags
309 export ARCH_FLAGS="${CXXFLAGS}"
310 export LINKFLAGSOPTIMIZE="${LDFLAGS}"
311 export GMAKE_OPTIONS="${MAKEOPTS}"
312
313 # patchset
314 if [[ -n ${PATCHSET} ]]; then
315 EPATCH_FORCE="yes" \
316 EPATCH_SOURCE="${WORKDIR}/${PATCHSET/.tar.xz/}" \
317 EPATCH_SUFFIX="patch" \
318 epatch
319 fi
320
321 base_src_prepare
322
323 # please no debug in binfilter, it blows up things insanely
324 if use binfilter && ! use binfilterdebug ; then
325 for name in $(find "${S}/binfilter" -name makefile.mk) ; do
326 sed -i -e '1i\CFLAGS+= -g0' $name || die
327 done
328 fi
329
330 AT_M4DIR="m4"
331 eautoreconf
332 # hack in the autogen.sh
333 touch autogen.lastrun
334
335 # system pyuno mess
336 sed \
337 -e "s:%eprefix%:${EPREFIX}:g" \
338 -e "s:%libdir%:$(get_libdir):g" \
339 -i pyuno/source/module/uno.py \
340 -i scripting/source/pyprov/officehelper.py || die
341 }
342
343 src_configure() {
344 local java_opts
345 local internal_libs
346 local lo_ext
347 local ext_opts
348 local jbs=$(sed -ne 's/.*\(-j[[:space:]]*\|--jobs=\)\([[:digit:]]\+\).*/\2/;T;p' <<< "${MAKEOPTS}")
349
350 # recheck that there is some value in jobs
351 [[ -z ${jbs} ]] && jbs="1"
352
353 # sane: just sane.h header that is used for scan in writer, not
354 # linked or anything else, worthless to depend on
355 # vigra: just uses templates from there
356 # it is serious pain in the ass for packaging
357 # should be replaced by boost::gil if someone interested
358 internal_libs+="
359 --without-system-sane
360 --without-system-vigra
361 "
362
363 # libreoffice extensions handling
364 for lo_xt in ${LO_EXTS}; do
365 ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt})"
366 done
367
368 if use java; then
369 # hsqldb: system one is too new
370 # saxon: system one does not work properly
371 java_opts="
372 --without-system-hsqldb
373 --without-system-saxon
374 --with-ant-home="${ANT_HOME}"
375 --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
376 --with-java-target-version=$(java-pkg_get-target)
377 --with-jvm-path="${EPREFIX}/usr/$(get_libdir)/"
378 "
379
380 use libreoffice_extensions_scripting-beanshell && \
381 java_opts+=" --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar)"
382
383 use libreoffice_extensions_scripting-javascript && \
384 java_opts+=" --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar)"
385
386 if use libreoffice_extensions_wiki-publisher; then
387 java_opts+="
388 --with-commons-codec-jar=$(java-pkg_getjar commons-codec commons-codec.jar)
389 --with-commons-httpclient-jar=$(java-pkg_getjar commons-httpclient-3 commons-httpclient.jar)
390 --with-commons-lang-jar=$(java-pkg_getjar commons-lang-2.1 commons-lang.jar)
391 --with-commons-logging-jar=$(java-pkg_getjar commons-logging commons-logging.jar)
392 --with-servlet-api-jar=$(java-pkg_getjar tomcat-servlet-api-3.0 servlet-api.jar)
393 "
394 fi
395
396 if use test; then
397 java_opts+=" --with-junit=$(java-pkg_getjar junit-4 junit.jar)"
398 else
399 java_opts+=" --without-junit"
400 fi
401 fi
402
403 if use branding; then
404 # hack...
405 mv -v "${WORKDIR}/branding-intro.png" "${S}/icon-themes/galaxy/brand/intro.png" || die
406 fi
407
408 # it's not entirely clear to me where the failure is, boost libreoffice gcc come to my mind
409 append-cppflags -DBOOST_NO_0X_HDR_TYPEINDEX
410
411 # system headers/libs/...: enforce using system packages
412 # --enable-unix-qstart-libpng: use libpng splashscreen that is faster
413 # --enable-cairo: ensure that cairo is always required
414 # --enable-*-link: link to the library rather than just dlopen on runtime
415 # --enable-release-build: build the libreoffice as release
416 # --disable-fetch-external: prevent dowloading during compile phase
417 # --disable-gnome-vfs: old gnome virtual fs support
418 # --disable-kdeab: kde3 adressbook
419 # --disable-kde: kde3 support
420 # --disable-ldap: ldap requires internal mozilla stuff, same like mozab
421 # --disable-mozilla: disable mozilla build that is used for adresbook, not
422 # affecting the nsplugin that is always ON
423 # --disable-pch: precompiled headers cause build crashes
424 # --disable-rpath: relative runtime path is not desired
425 # --disable-systray: quickstarter does not actually work at all so do not
426 # promote it
427 # --disable-zenity: disable build icon
428 # --enable-extension-integration: enable any extension integration support
429 # --with-{max-jobs,num-cpus}: ensuring parallel building
430 # --without-{afms,fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
431 # --without-stlport: disable deprecated extensions framework
432 # --disable-ext-report-builder: too much java packages pulled in
433 econf \
434 --docdir="${EPREFIX}/usr/share/doc/${PF}/" \
435 --with-system-headers \
436 --with-system-libs \
437 --with-system-jars \
438 --with-system-dicts \
439 --enable-graphite \
440 --enable-cairo-canvas \
441 --enable-largefile \
442 --enable-mergelibs \
443 --enable-python=system \
444 --enable-randr \
445 --enable-randr-link \
446 --enable-release-build \
447 --enable-unix-qstart-libpng \
448 --enable-xmlsec \
449 --disable-ccache \
450 --disable-crashdump \
451 --disable-dependency-tracking \
452 --disable-epm \
453 --disable-fetch-external \
454 --disable-gnome-vfs \
455 --disable-ext-report-builder \
456 --disable-kdeab \
457 --disable-kde \
458 --disable-ldap \
459 --disable-mozilla \
460 --disable-nsplugin \
461 --disable-online-update \
462 --disable-pch \
463 --disable-rpath \
464 --disable-systray \
465 --disable-zenity \
466 --with-alloc=$(use jemalloc && echo "jemalloc" || echo "system") \
467 --with-build-version="Gentoo official package" \
468 --enable-extension-integration \
469 --with-external-dict-dir="${EPREFIX}/usr/share/myspell" \
470 --with-external-hyph-dir="${EPREFIX}/usr/share/myspell" \
471 --with-external-thes-dir="${EPREFIX}/usr/share/myspell" \
472 --with-external-tar="${DISTDIR}" \
473 --with-lang="" \
474 --with-max-jobs=${jbs} \
475 --with-num-cpus=${jbs} \
476 --with-unix-wrapper=libreoffice \
477 --with-vendor="Gentoo Foundation" \
478 --with-x \
479 --without-afms \
480 --without-fonts \
481 --without-myspell-dicts \
482 --without-stlport \
483 --without-system-mozilla \
484 --without-help \
485 --with-helppack-integration \
486 --without-sun-templates \
487 --disable-gtk3 \
488 $(use_enable binfilter) \
489 $(use_enable cups) \
490 $(use_enable dbus) \
491 $(use_enable eds evolution2) \
492 $(use_enable gnome gconf) \
493 $(use_enable gnome gio) \
494 $(use_enable gnome lockdown) \
495 $(use_enable gstreamer) \
496 $(use_enable gtk) \
497 $(use_enable kde kde4) \
498 $(use_enable mysql ext-mysql-connector) \
499 $(use_enable odk) \
500 $(use_enable opengl) \
501 $(use_enable postgres postgresql-sdbc) \
502 $(use_enable svg librsvg system) \
503 $(use_enable test linkoo) \
504 $(use_enable vba) \
505 $(use_enable webdav neon) \
506 $(use_with java) \
507 $(use_with mysql system-mysql-cppconn) \
508 $(use_with odk doxygen) \
509 ${internal_libs} \
510 ${java_opts} \
511 ${ext_opts}
512 }
513
514 src_compile() {
515 # hack for offlinehelp, this needs fixing upstream at some point
516 # it is broken because we send --without-help
517 # https://bugs.freedesktop.org/show_bug.cgi?id=46506
518 (
519 source "${S}/config_host.mk" 2&> /dev/null
520
521 local path="${SOLARVER}/${INPATH}/res/img"
522 mkdir -p "${path}" || die
523
524 echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=icon-themes/galaxy/res/helpimg > \"${path}/helpimg.ilst\""
525 perl "${S}/helpcontent2/helpers/create_ilst.pl" \
526 -dir=icon-themes/galaxy/res/helpimg \
527 > "${path}/helpimg.ilst"
528 [[ -s "${path}/helpimg.ilst" ]] || ewarn "The help images list is empty, something is fishy, report a bug."
529 )
530
531 # this is not a proper make script
532 make build || die
533 }
534
535 src_test() {
536 make unitcheck || die
537 make slowcheck || die
538 }
539
540 src_install() {
541 # This is not Makefile so no buildserver
542 make DESTDIR="${D}" distro-pack-install -o build -o check || die
543
544 # Fix bash completion placement
545 newbashcomp "${ED}"/etc/bash_completion.d/libreoffice.sh ${PN}
546 rm -rf "${ED}"/etc/
547
548 if use branding; then
549 insinto /usr/$(get_libdir)/${PN}/program
550 newins "${WORKDIR}/branding-sofficerc" sofficerc
551 fi
552
553 # Hack for offlinehelp, this needs fixing upstream at some point.
554 # It is broken because we send --without-help
555 # https://bugs.freedesktop.org/show_bug.cgi?id=46506
556 insinto /usr/$(get_libdir)/libreoffice/help
557 doins xmlhelp/util/*.xsl
558 }
559
560 pkg_preinst() {
561 # Cache updates - all handled by kde eclass for all environments
562 kde4-base_pkg_preinst
563 }
564
565 pkg_postinst() {
566 kde4-base_pkg_postinst
567
568 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
569 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
570
571 use java || \
572 ewarn 'If you plan to use lbase aplication you should enable java or you will get various crashes.'
573 }
574
575 pkg_postrm() {
576 kde4-base_pkg_postrm
577 }

  ViewVC Help
Powered by ViewVC 1.1.20